org.richfaces.application.push.impl

## Class SessionManagerImpl

- java.lang.Object
- - org.richfaces.application.push.impl.SessionManagerImpl

- All Implemented Interfaces:
    org.richfaces.application.push.SessionManager

      public class SessionManagerImpl
      extends Object
      implements org.richfaces.application.push.SessionManager

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionManagerImpl(ThreadFactory threadFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `org.richfaces.application.push.Session` | `getPushSession(String id)`
    `void` | `putPushSession(org.richfaces.application.push.Session session)`
    `void` | `requeue(org.richfaces.application.push.Session session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionManagerImpl

          public SessionManagerImpl(ThreadFactory threadFactory)

  - ### Method Detail

    - #### getPushSession

          public org.richfaces.application.push.Session getPushSession(String id)

      Specified by:
        `getPushSession` in interface `org.richfaces.application.push.SessionManager`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `org.richfaces.application.push.SessionManager`

    - #### putPushSession

          public void putPushSession(org.richfaces.application.push.Session session)
                              throws IllegalStateException

      Specified by:
        `putPushSession` in interface `org.richfaces.application.push.SessionManager`
      Throws:
        `IllegalStateException`

    - #### requeue

          public void requeue(org.richfaces.application.push.Session session)

      Specified by:
        `requeue` in interface `org.richfaces.application.push.SessionManager`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.